Update a category
curl --request PUT \
--url https://api.spacebring.com/shop/categories/v1/{categoryId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"category": {
"title": "<string>"
}
}
'import requests
url = "https://api.spacebring.com/shop/categories/v1/{categoryId}"
payload = { "category": { "title": "<string>" } }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({category: {title: '<string>'}})
};
fetch('https://api.spacebring.com/shop/categories/v1/{categoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"category": {
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
}{
"message": "<string>",
"type": "<string>"
}Shop
Update a category
Update a shop category.
OAuth
Required scopes:shopPUT
/
shop
/
categories
/
v1
/
{categoryId}
Update a category
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the shop category
Body
application/json
Shop category to update.
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I